summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorKeith Packard <keithp@keithp.com>2017-12-13 15:40:56 -0800
committerKeith Packard <keithp@keithp.com>2017-12-13 15:40:56 -0800
commit1276412bbd0d67d84c974a47356ec4d65e84dd4d (patch)
treec7ac4c39c52f62ef7d2e6f0ab4ab07c8233f381c /autogen.sh
parent38303e02f8f8e5153221ba0391fcd232dfb5ec37 (diff)
Create shared build infrastructure
Signed-off-by: Keith Packard <keithp@keithp.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..e622af6
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+srcdir=`dirname "$0"`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd "$srcdir"
+
+autoreconf -v --install || exit 1
+cd "$ORIGDIR" || exit $?
+
+git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
+ git config --local format.subjectPrefix "PATCH x11proto"
+
+if test -z "$NOCONFIGURE"; then
+ exec "$srcdir"/configure "$@"
+fi